/* exclude bundle swatches from displaying sale label */
.bundle-template {
  .product-section .product-form__input .color-swatch-wrapper label.color-swatch.color-swatch--on-sale {
    display: none;
  }

  .product-section .product-form__input .color-swatch-wrapper label.color-swatch .color-swatch__sale-indicator {
    display: none;
  }

    .product-section .product-form__input .color-swatch-wrapper--on-sale .color-swatch__sale-label {
    display: none;
  }
}

/* product.v1.json */
.v1-template,
.v1-b-template,
.v1-no-discount-template,
.v1-no-warranty-template,
.v1-pack-it-sets-template,
.v1-test-template,
.v2-template,
.bundle-template {
    .product-section .product-form__input input[type=radio] + .color-swatch-wrapper label.color-swatch,
    .product-section .product-form__input .color-swatch-wrapper label.color-swatch {
    width: 32px;
    height: 32px;
    border: 2px solid white;
    position: relative;
    font-size: 0;
    display: inline-block;
    border-radius: 50%;
    cursor: pointer;
  }

  .product-section .product-form__input .color-swatch-wrapper label.color-swatch.color-swatch--on-sale {
    border-color: var(--ec-ember);
  }

  .product-section .product-form__input .color-swatch-wrapper label.color-swatch .color-swatch__sale-indicator {
    position: absolute;
    top: -1px;
    right: -1px;
    width: 8px;
    height: 8px;
    background-color: var(--ec-ember);
    border-radius: 50%;
    border: 1px solid var(--ec-white);
    z-index: 3;
  }

  .product-section .product-form__input .color-swatch-wrapper {
    position: relative;
    display: inline-block;
    height: fit-content;
    line-height: 0;
  }

  .product-section .product-form__input .color-swatch-wrapper--on-sale .color-swatch__sale-label {
    position: absolute;
    left: 50%;
    top: 125%;
    transform: translateX(-50%);
    font-size: 10px;
    color: var(--ec-ember);
    white-space: nowrap;
    pointer-events: none;
    opacity: 1;
    visibility: visible;
  }

  main :is(h1, h2, h3, h4, h5, h6) {
    color: #353535;
  }

  .iamota-accordion.wrapper .accordion__title .svg {
    width: 37px;
  }

  .iamota-accordion.wrapper .accordion__title:hover .svg {
    background: transparent;
    border: 1px solid #353535;
    color: #353535;
  }

  .iamota-accordion.wrapper .accordion__title {
    letter-spacing: normal;
  }

  .yotpo-head {
    margin-top: 0 !important;
  }

  .yotpo-reviews-pagination-container {
    margin-bottom: 0 !important;
  }

  .product-section .product-form__input input[type=radio]:checked + .color-swatch-wrapper label.color-swatch,
  .product-section .product-form__input .color-swatch-wrapper.is-selected label.color-swatch {
    border: 2px solid #ffffff !important;
  }
  .product-section .product-form__option-values {
    gap: 12px;
  }
  
  .content-panel__container {
    gap: 20px;
  }

  .product-section .price__sale .price-item--regular {
    color: #767676;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 26px; /* 130% */
    letter-spacing: -0.5px;
  }

  .variant-radios {
    margin-top: 0;
    margin-bottom: 2.4rem;
    border-top: 1px solid #EBEBEB;
    padding-top: 2.5rem;
  }
  
  .price {
    color: #353535;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 26px; /* 130% */
    letter-spacing: -0.5px;
  }

  .price-item--sale {
    color: var(--ec-ember);
    margin-left: 0.75rem !important;
  }
  
  .klaviyo_form_trigger {
    display: flex;
    padding: 6px 12px !important;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 2px;
    border: 1px solid var(--ec-ember);
    background-color: transparent;
    color: var(--ec-ember);
    font-size: 12px !important;
    font-style: normal;
    font-weight: 500;
    line-height: 14px; /* 116.667% */
    text-transform: uppercase;
  }

  .klaviyo_form_trigger:hover {
    background-color: var(--ec-ember);
    color: white;
  }

  .product-section .quantity-add-to-cart__container .product-form__quantity {
    border: 1px solid #353535;
    border-radius: 3px;
    margin-top: 0;
  }

  .product-section .quantity-add-to-cart__container {
    gap: 8px;
  }

    .product__media-slider-cell {
      background: #F6F6F6;
    }

    .product__media-wrapper {
      margin-top: 4rem;
    }

    .product-section .quantity-add-to-cart__container .quantity {
      width: 128px;
    }

    .product__title {
      font-size: 2.8rem;
      color: #353535;
      line-height: 3.2rem;
    }

    .product-section .sizes__list .sizes__item a {
      border: 1px solid #353535;
      font-weight: 400;
      color: #353535;
    }

    .product-section .quantity-add-to-cart__container .quantity__button {
      margin: 0 10px;
      width: 12px;
    }

    .product-section .quantity-add-to-cart__container .quantity__button svg {
      width: 2rem;
    }
    
    .product-section .sizes__list {
      margin-bottom: 2.4rem;
    }

    .product-section .sizes__list .sizes__item.is-selected a {
      background: #353535;
      box-shadow: inset 0 0 0 2px white, inset 0 0 0 3px #353535;
    }

    .product-section .sizes__list .sizes__item a {
      border: 1px solid #353535;
      font-weight: 400;
    }
    .product-section .sizes__list .sizes__item.is-selected a,
    .product-section .sizes__list .sizes__item:hover a {
      background: #353535;
      color: #FFFFFF;
    }

    .iamota-accordion--features-specs .features__list .feature__item { 
      gap: 8px;
    }

    .yotpo-reviews-star-ratings-widget {
      margin-bottom: 0 !important;
    }
    
    #productStickyContainer {
      margin-top: 0;
    }

    .content-panels__container {
      padding: 80px 0;
      padding-bottom: 0;
      
      .content-panels__section-title {
        color: var(--ec-black);
        font-size: 64px;
        font-style: normal;
        font-weight: 400;
        line-height: normal;
        letter-spacing: -1px;
        margin-bottom: 80px;
      }
      
      .content-panel {
        margin-bottom: 20px;
      }
      
      .content-panel .content-panel__meta, .content-panel .content-panel__content {
        background: transparent;
      }
      
      .content-panel .content-panel__content {
        display: flex;
        width: 100%;
        padding: 0px;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        gap: 12px;
        align-self: stretch;
      }
      
      .content-panel__content .copy-block__title {
        color: #353535;
      /* Mobile / Heading 4 */
      font-size: 28px;
      font-style: normal;
      font-weight: 400;
      line-height: 32px; /* 114.286% */
      letter-spacing: 0.5px;
      }
      
      .content-panel__content .copy-block__text {
        color: var(--Off-Black, #353535);

        /* Body / Default */
        font-size: 16px;
        font-style: normal;
        line-height: 24px; /* 150% */
      }
    }


    .product__info-container .iamota-accordion.wrapper .accordion__title .svg svg {
      width: 16px;
      height: 16px;
    } 

    .product-section .price-review-wrap {
      margin-top: 0;
    }
    
    
    .price-container {
      margin-top: 0;
      border-top: 1px solid #EBEBEB;
      padding-top: 2.4rem;
      display: flex;
      justify-content: space-between;
      align-items: center;
      align-self: stretch;
      padding: 0;
      margin: 0;
    }

    fieldset.product-form__input .form__label-detail,
    .product-section .current-size {
      font-weight: 400;
    }

    .sizes__container {
      margin-top: 24px;
    }

    .product__info-container .yotpo-widget-instance {
      margin-top: 2.4rem !important;
      margin-bottom: 2.4rem;
    }

     .product-section .quantity-add-to-cart__container { 
      grid-template-columns: 128px minmax(0,1fr);
     }

     .product-section .product__sticky--show  .quantity-add-to-cart__container { 
        grid-template-columns: auto 1fr;
     }
}

.product-form__container.product__sticky--show.sticky-info-bottom .add-to-cart__wrapper,
.product-form__container.product__sticky--show.sticky-info-top .add-to-cart__wrapper {
  grid-row: 1/3;
  grid-column: 2;
}

@media (max-width: 749px) {
  .v1-template,
  .v1-b-template,
  .v1-no-discount-template,
  .v1-no-warranty-template,
  .v1-pack-it-sets-template,
  .v1-test-template,
  .v2-template,
  .bundle-template {
    .product__media-wrapper .product__media-slider {
      margin-left: -25px;
      margin-right: -25px;
    }

  .rebuy-widget .rebuy-widget-container .rebuy-product-actions .rebuy-button {
    font-size: 11px !important;
    padding: 12px 16px !important;
  }

    .yotpo-reviews-pagination-container {
      margin-bottom: 0 !important;
    }

    .yotpo-reviews-main-widget:not(.yotpo-device-mobile) .yotpo-main-layout .yotpo-head, #yotpo-reviews-main-widget:not(.yotpo-device-mobile) .yotpo-reviews-summary-button {
      margin-top: 0 !important;
   }

    .product__media-wrapper {
      margin-top: 0;
    }
    .price-container {
      padding-top: 2.4rem;
    }
    
    .product__media-wrapper .slider-mobile-gutter {
      padding: 0 25px;
    }

    .v2-template .product__media-thumbnails {
      display: none;
    }

    .product__media-thumbnails .slick-list {
      margin-top: 15px;
    }

    .product__info-container {
      padding: 1.9rem 1rem 0;
    }

    #ProductStickyContainer {
      margin: 0;
    }

    .product__title {
      font-size: 24px;
      font-style: normal;
      font-weight: 400;
      line-height: 28px; /* 116.667% */
    }

    .product__short-description {
      margin: 24px 0;
    }
    
    .product__info-container .yotpo-widget-instance {
      margin-top: 1.6rem !important;
      margin-bottom: 0;
      border-bottom: 0;
      padding-bottom: 0;
    }
    
    .product__info-container .variant-radios {
      border-top:1px solid #EBEBEB;
      padding-top: 2.4rem;
    }
    
    fieldset.product-form__input .form__label {
      margin-bottom: 8px;
    }
    
    /* .product__info-container>*+* {
      margin: 2.4rem 0;
    } */
    
    .price .price-item {
      margin: 0;
    }
    
    .klaviyo_form_trigger {
      margin: 0 !important;
    }
    
    .product-section .quantity-add-to-cart__container {
      gap: 1.6rem;
      grid-template-columns: 1fr;
      margin-top: 2.4rem;
    }
    
    .product-section .quantity-add-to-cart__container .product-form__quantity {
      display: flex;
      width: 120px;
      padding: 11px 12px;
      justify-content: space-between;
      align-items: center;
      border-radius: 3px;
      border: 1px solid var(--ec-black);
      grid-row: 1;
    }

    /* .product-section .quantity-add-to-cart__container .quantity {
      border: 1px solid #353535;
    } */
    
    .quantity {
      height: 2.4rem;
    }
    
    
    .product__info-container .iamota-accordion.wrapper {
      border-bottom: 1px solid #EBEBEB;

        .accordion__title .svg svg {
            width: 16px;
            height: 16px;
        }
    }
    
    
    .add_local_widget {
      width: 100%;
    }
    
    .product-form__container.product__sticky--show .product-form .quantity-add-to-cart__container {
      display: grid;
      grid-template-columns: auto 1fr;
    }

      .product-form__container.product__sticky--show.sticky-info-bottom .product-form .quantity-add-to-cart__container,
            .product-form__container.product__sticky--show.sticky-info-top .product-form .quantity-add-to-cart__container {
        grid-template-columns: fit-content(160px) 1fr;
        grid-template-rows: auto;
        margin: 0;
        margin-top: 10px;
      }
      .product-form__container.product__sticky--show.sticky-info-bottom .product-form .add-to-cart__wrapper,
      .product-form__container.product__sticky--show.sticky-info-top .product-form .add-to-cart__wrapper {
        grid-column: 1 / -1;
        grid-row: 2;
      }

      .product-form__container.product__sticky--show.sticky-info-bottom .product-form .product-form__product-title-container,
       .product-form__container.product__sticky--show.sticky-info-top .product-form .product-form__product-title-container {
        grid-row: 1;
        grid-column: 1/2;
      }
      .product-form__container.product__sticky--show.sticky-info-bottom .product-form .product-form__price,
       .product-form__container.product__sticky--show.sticky-info-top .product-form .product-form__price {
        grid-row: 1;
        grid-column: 2;
        align-self: center;
        justify-self: end;
      }
      .product-form__container.product__sticky--show.sticky-info-bottom .product-form .product-form__input.product-form__quantity,
      .product-form__container.product__sticky--show.sticky-info-top .product-form .product-form__input.product-form__quantity {
        display: none;
      }
    
    .content-panels__container {
      padding: 0 25px;

      .content-panels__section-title {
        font-size: 40px;
        line-height: 44px; /* 110% */
        letter-spacing: -0.5px;
      }
      
      .content-panel .content-panel__meta {
        padding: 0;
      }
      
      .content-panels__section-title {
        margin-bottom: 32px;
      }
      
      .content-panel .content-panel__content {
        padding: 16px 0 0;
      }
      
      .copy-block__text {
        margin-top: 12px;
      }
      
      .content-panel {
        margin-bottom: 32px;
      }
      
      .content-panel--double-image .content-panel__container {
        display: flex;
        flex-direction: column;
        gap: 24px;
      }
    }
      
  }
}